---
title: SVGGeometryElement.pathLength
slug: Web/API/SVGGeometryElement/pathLength
tags:
  - API
  - DOM
  - NeedsExample
  - Property
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <code><strong>SVGGeometryElement.pathLength</strong></code> property reflects the {{SVGAttr("pathLength")}} attribute and returns the total length of the path, in user units.</p>

<div class="note">
<p><strong>Note:</strong> This property was originally part of the {{domxref("SVGPathElement")}} interface. SVG 2 introduced the {{domxref("SVGGeometryElement")}} interface and moved the property to it.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>pathLength</var> = <var>someElement</var>.pathLength;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#__svg__SVGGeometryElement__pathLength", "SVGGeometryElement.pathLength")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGeometryElement.pathLength")}}</p>
